Skip to main content
`Ctrl`+`K`

# DMDASNESFunctionVecFn

`Vec`-based variant of `DMDASNESFunctionFn`, set with `DMDASNESSetFunctionLocalVec()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode DMDASNESFunctionVecFn(DMDALocalInfo *info, Vec u, Vec f, PetscCtx ctx);

## Calling Sequence

- info - the local grid information from the `DMDA`

- u - the local input solution `Vec`

- f - the local output residual `Vec`

- ctx - optional user-provided context

## See Also

`DMDA`, `SNES`, `DMDASNESSetFunctionLocalVec()`, `DMDASNESFunctionFn`, `DMDASNESJacobianVecFn`, `DMDASNESObjectiveVecFn`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages